Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 162804)
+++ channels/chan_sip.c	(working copy)
@@ -2896,6 +2896,16 @@
 	if (peer->call_limit)
 		ast_set_flag(&dialog->flags[0], SIP_CALL_LIMIT);
 	dialog->maxcallbitrate = peer->maxcallbitrate;
+
+	if (!dialog->chanvars) {
+		struct ast_variable *v, *tmpvar;
+		for (v = peer->chanvars ; v ; v = v->next) {
+			if ((tmpvar = ast_variable_new(v->name, v->value))) {
+				tmpvar->next = dialog->chanvars;
+				dialog->chanvars = tmpvar;
+			}
+		}
+	}
 	
 	return 0;
 }
